//
//  GMVideoTelephoneModel.m
//  Gengmei
//
//  Created by 卢悦明 on 2020/3/6.
//  Copyright © 2020 更美互动信息科技有限公司. All rights reserved.
//

#import "GMVideoTelephoneModel.h"
@implementation GMNeteaseIMModel
@end
@implementation GMVideoTelephoneModel
+ (NSString *)userGenderStr:(GMVideoTelephoneModel *)model {
    if ([model.userGender intValue] == 1) {
        return @"男";
    } else if (([model.userGender intValue] == 2)) {
        return @"女";
    }else {
        return @"未知";
    }
}

+ (NSString *)zixunName:(GMVideoTelephoneModel *)model {
    if (model.userTargetProject.count > 0) {
        NSString *string =@"咨询项目：";
        for (int i = 0; i< model.userTargetProject.count; i++) {
            NSDictionary *dict =  model.userTargetProject[i];
            if (i == model.userTargetProject.count - 1) {
                string = [string stringByAppendingFormat:@"%@", dict[@"name"]];
            }else {
                string = [string stringByAppendingFormat:@"%@，", dict[@"name"]];
            }
        }
        return string;
    } else {
        return @"";
    }
}

+ (NSString *)detialStr:(GMVideoTelephoneModel *)model {
    NSString *gen = [GMVideoTelephoneModel userGenderStr:model];
    NSString *yimei = [model.userHasAestheticMedicine boolValue] ? @"做过医美" : @"没有做过医美";
    NSString *str = [NSString stringWithFormat:@"%@|%@岁|%@",gen,model.userAge,yimei];
    return str;
}
@end
